%define name muine-burn
%define version 0.0.4
%define release 4mdk

Summary: CD burner plugin for muine
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.snorp.net/files/packages/%{name}-%{version}.tar.bz2
#gw move glue lib to the muine library dir
Patch: muine-burn-0.0.4-dllconfig.patch.bz2
License: GPL
Group: Archiving/Cd burning
Url: http://www.snorp.net/log/?page_id=51
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: muine
BuildRequires: mono-devel
BuildRequires: libnautilus-burn-sharp
BuildRequires: libnautilus-burn-devel
BuildRequires: gstreamer-plugins-devel
BuildRequires: gtk+2-devel
BuildRequires: gnome-vfs2-devel
BuildRequires: gnome-icon-theme
BuildRequires: perl-XML-Parser

%description
This is a plugin for Muine that allows you to burn the current
playlist to an audio CD. It depends on the C# wrappers for
libnautilus-burn.

%prep
%setup -q
%patch -p1

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%_libdir/lib*a
mv %buildroot%_libdir/lib* %buildroot%_libdir/muine/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc MAINTAINERS AUTHORS
%_libdir/muine/lib*.so*
%_prefix/lib/muine/plugins/BurnPlugin.dll*

%changelog
* Mon Sep 26 2005 Götz Waschk <waschk@mandriva.org> 0.0.4-4mdk
- fix buildrequires

* Mon Sep 26 2005 Götz Waschk <waschk@mandriva.org> 0.0.4-3mdk
- fix buildrequires

* Wed Sep 21 2005 Götz Waschk <waschk@mandriva.org> 0.0.4-2mdk
- fix buildrequires

* Tue Sep 20 2005 Götz Waschk <waschk@mandriva.org> 0.0.4-1mdk
- initial package
